<?php
include_once('../../resources/lib/init_user.php');

	$upt = CMS::tables('users')->where('id',userID());

	if(_request('submit'))
	{
		//$upt->validate(_request('name'),"name", "Please enter a valid first name");
		
	
	
		if($upt->validate(_request('email'),"email", "Please enter a valid email address"))
		{
			if(CMS::tables('users')->where('email',_request('email'))->andWhere('id','!=',userID())->first()->get())
				$upt->validate('',"custom", "This email address already exists for another user.");
		}
	//	$upt->validate(_request('phone'),"phone", "Please enter a valid phone number");
		
		if(!$upt->error)
		{
			$upt
			->sanitize([ "name",  "company", "phone" ])
			->update([ 'name',  'company', 'email', 'phone' ]);	
		
		}
		else
			$upt->showMsg();
	
		exit();			
	}

	_modalHeader("Account Information",'acctOutput');
	
	$upt->toRequest($upt->first()->get());

	_formOpen();
if(!isAdmin()) {
	_formGroup([
	    
		[ "text", col=>6, id=>"name", label=>"Name", placeholder=>"Please enter your  name" ],
		
		[ "text", col=>12, id=>"company", label=>"College", placeholder=>"Enter your college name (if any)" ],
		[ "text", col=>6, id=>"phone", label=>"Phone Number", placeholder=>"Enter your phone number" ],	
	    
		[ "email", col=>6, id=>"email", label=>"Email Address", placeholder=>"Enter your email address" ]
		
	]);
}

else
{
   	_formGroup([
	    	[ "hidden", col=>6, id=>"name", label=>"Name", placeholder=>"Please enter your  name" ],
		
		[ "hidden", col=>12, id=>"company", label=>"College", placeholder=>"Enter your college name (if any)" ],
		[ "hidden", col=>6, id=>"phone", label=>"Phone Number", placeholder=>"Enter your phone number" ],	
	    
	
		[ "email", col=>6, id=>"email", label=>"Email Address", placeholder=>"Enter your email address" ]
		
	]); 
}
	_formClose();	
	
	_modalFooter([
		[ label=>"Cancel", btn=>"default", ico=>"close", opts=>[ 'data-dismiss'=>"modal" ] ],		
		[ label=>"Submit", btn=>"primary", ico=>"paper-plane", opts=>[ onclick=>"btnSubmit();" ] ]						
	]);
	
?>
<script type="text/javascript">

	function btnSubmit() {
		
		document.getElementById('acctOutput').innerHTML = '';
		ajaxLoad('<?php echo $const_website_url_account?>/account-info',
		{ 
			data:{ 
				submit:1,  
				name:document.getElementById('name').value,  
				
				company:document.getElementById('company').value,  				
				email:document.getElementById('email').value,  
				phone:document.getElementById('phone').value 
			}, 
			fillHtml:'#acctOutput', 
			callFtn:'onSuccess' 
		}); 	
	}

	function onSuccess(res) {

		if(res=='') {	
		
			showMsg('acctOutput','Account information updated successfully!','success');			
			setTimeout(function(){ hideModal(activeModal); }, 1800);
		}	
	}
</script>		