<?php
include_once('../../resources/lib/init_user.php');
//only for admins
		$evt = CMS::tables('profession');
		
		if(_request('content_id')!='')		
		$evt->where('id',_requestInt('content_id'));	

	
	if(_request('submit'))
	{
		
		if($evt->validate(_request('title'),"null", "Please enter a valid Profession"))
		{
			if(
				CMS::tables('profession')
				->where('title',_request('title'))
				->andWhere('t1.id','!=',_request('content_id'))
				->first()->get()
			)
			$evt->validate('',"custom", "This profession already exists. Try another.");		
		}			
	
		if(!$evt->error)
		{
			//if adding location
			if(_request('content_id')=='')	
			{				
				
				CMS::tables('profession')->insert([ "title" ]);							
				
			}
			else
			{
				$evt->sanitize(['title'])->update([ 'title' ]);
			}				
		}
		else
		$evt->showMsg();
	
		exit();
	}
	
	
	
	
	//when edit location
	if(_request('content_id')!='')
	{
		$evt->toRequest($evt->first()->get());
	}

	_modalHeader(((_request('content_id')!='')?'Edit':'Add')." Profession",'catOutput');
	

	_formOpen();		
	
	_formGroup([
		[ "text", col=>12, id=>"title", label=>"Title", placeholder=>'Please enter the Title' ],
				
	]);
		
	_formClose();
	
	_modalFooter([
		[ label=>"Cancel", btn=>"default", ico=>"close", opts=>[ 'data-dismiss'=>"modal" ] ],		
		[ label=>"Submit", btn=>"primary", ico=>"paper-plane", opts=>[ onclick=>"btnSubmit();" ] ]						
	]);
?>
<script type="text/javascript">

	function btnSubmit() {
		
		document.getElementById('catOutput').innerHTML = '';
		ajaxLoad('<?php echo $const_website_url_account?>/profession/manage',
		{ 
			data:{ 
				submit:1, 
				content_id:'<?php echo _request("content_id")?>', 				 
				title:document.getElementById('title').value, 				 
			}, 
			fillHtml:'#catOutput', callFtn:'ajaxSuccess' 
		}); 	
	}

	function ajaxSuccess(res) {
			showMsg('catOutput','Profession <?php echo ((_request('content_id')!='')?'updated':'addedd')?> successfully!','success');			
			setTimeout(function(){ hideModal(activeModal); window.location='<?php echo $const_website_url_account?>/job?tab=<?php echo _slug('Profession')?>'; }, 1000);
	}
	
</script>		