//Load AJAX
function ajaxLoad(postURL,opts) {
	
	var formData = new FormData();

	if(opts.data!= null)
		for(key in opts.data)
			formData.append(key, opts.data[key]);
	
	$.ajax({
		url: postURL,
		data: formData,
		type: "POST",
		contentType: false,
		processData: false,		
	}).done(function(response) {
				
		if(opts.fillHtml!= null)
		$(opts.fillHtml).html(response);

		if(opts.callFtn!= null) {
			
			if(opts.callFtn && {}.toString.call(opts.callFtn) === '[object Function]')
			opts.callFtn();
			else {
				
				if(opts.ftnArgs!= null)
				window[opts.callFtn](opts.ftnArgs);	
				else
				window[opts.callFtn](response);
			}
		}
	});
}

//Show Message like AJCMS
function showMsg(id,msg,type) {
		
		var content='';
		content+='<div class="alert alert-'+type+' alert-dismissible" role="alert">';
		content+='<button type="button" class="close" data-dismiss="alert">';
		content+='<span aria-hidden="true">×</span><span class="sr-only">Close</span>';
		content+='</button>';
		
		if(type=='danger')
		content+='<strong>Please rectify the following error(s)</strong>';
	
		content+='<p>'+msg+'</p>';
		content+='</div>';
		
		document.getElementById(id).innerHTML = content;
}


//Addmore
$("body").off("click",".add-more").on("click",".add-more",function(){ 

	var curr = this;
	var html = $($(curr).data("copy")).html();
	$($(curr).data("before")).before(html);
});

//Delete
$("body").on("click",".remove",function(){ 
	$(this).parents(".control-group").remove();
});

//For _tableList filter dropdown menu
$("body").on('click', '._tableList .dropdown-menu', function (e) {
  e.stopPropagation();
});

//For _tableList filter dropdown menu checkbox selection and filter
function applyTableListFilter(url,name) 
{
	var filter = [];
	$("._tableList ."+name).each(function() {
		if($(this)[0].checked)
			filter.push($(this).val());
	});
	
	if(filter.length>0) {
		url+= ((url.indexOf('?') > -1)?'&':'?')+name+'='+filter;
	}

	window.location.replace(url);
}

//Responsive nav tab selection correction
$("body").on('click', '.nav-tabs-responsive .nav-tabs-item', function (e) {
  $("#"+$(this).data("id")+" .responsive-tab-menu .nav-tabs-item").removeClass('active');
  
});