<?php
include_once('../resources/lib/init.php');
$news = CMS::tables('dd_news')->orderBy('key_id','desc')->limit(0,3)->get();
if(sizeof($news))
{
?>
		<!-- Section -->
    <section id="blogs" class="section blogs bg-section">

			<div class="container" data-aos="fade-up">
				<!-- Section Title -->
				<div class="section-title">
					<div class="row justify-content-between">
						<div class="col-md-5" data-aos="fade-up" data-aos-delay="100">
							<h2>Latest <span>News</span> &<br> Insights</h2>
						</div>
						<div class="col-md-6" data-aos="fade-up" data-aos-delay="200">
							<p>Explore the latest trends and insights in healthcare, covering technology, innovative treatments, and industry best practices.</p>
							<a class="btn btn-outline icon-arrow me-2" href="news">More Updates <i class='bx bx-up-arrow-alt'></i></a>
						</div>
					</div>
				</div>
			</div>

			<div class="container" data-aos="fade-up">
				<div class="row g-1">
				      <?php
							    $i=1;
				                if(sizeof($news))
				                foreach($news as $item)
					                {
					                    
					            ?>
				    
                					<div class="col-md-4" data-aos="fade-up" data-aos-delay="100">
                						<div class="box">
                							<div class="image">
                								<img src="cmsfilemanager/news/<?php echo $item["key_img"]?>" alt="" width="100%" height="100%" loading="lazy" role="presentation" class="img-fluid">
                							</div>
                							<h2><?=$item['key_title']?></h2>
                							<p><?=substr(strip_tags($item['key_desc']),0,240)?></p>
                							<a href="news-detail?id=<?=$item['key_id']?>" class="stretched-link" aria-label="news"></a>
                						</div>
                					</div>
                				<?php
					                }
					               ?>
					
					
					
			
				</div>
			</div>

    </section>
     <?php
}
?>