<?php
include_once('../resources/lib/init.php');
$job = CMS::tables('nurse_job')->orderBy('job_id','desc')->limit(0,4)->get();
?>
    <!-- Section -->
    <section id="jobs-cat" class="section jobs-cat">

			<div class="container" data-aos="fade-up">
				<!-- Section Title -->
				<div class="section-title">
					<div class="row justify-content-between">
						<div class="col-md-5" data-aos="fade-up" data-aos-delay="100">
							<h2>Live <span>Jobs</span></h2>
						</div>
						<div class="col-md-6" data-aos="fade-up" data-aos-delay="200">
							<p>We supply nurses, doctors, healthcare assistants, and more, all of whom are carefully vetted and fully qualified to meet industry standards.</p>
							<a class="btn btn-outline icon-arrow me-2" href="jobs">More Jobs <i class='bx bx-up-arrow-alt'></i></a>
						</div>
					</div>
				</div>
			</div>

			<div class="container" data-aos="fade-up">
				<div class="row g-2">
				    <?php
				    if(sizeof($job))
				    foreach($job as $item)
					{
					?>
				    
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="100">
					    <div class="box">
                            <div class="title">
                                <h2><?=$item['jobtitle']?></h2>
                            </div>
                            <div class="price-box">
                                <p class="mb-0"><span>Pay Rate:</span></p>
                                <p class="mb-0"><?=$item['salary']?></p>
                            </div>
                            <div class="loc-box mb-2"><i class="bx bxs-map me-2"></i><p><?=$item['location']?></p></div>
                            <div class="time-box mb-2"><i class="bx bx-time-five me-2"></i><p><?=$item['category']?></p></div>
                            <div class="col-auto"><a class="btn btn-apply" href="job-detail?id=<?=$item['job_id']?>">Apply Now <i class="bx bx-right-arrow-alt"></i></a></div>
                        </div>
                    </div>
                    <?php
					}
					?>
				
	
				</div>
			</div>

    </section>