<?php
include_once('../resources/lib/init.php');
include_once('../resources/lib/mailer.php');
$edt = CMS::tables('dd_news')->where('key_id',$_REQUEST['id'])->first()->get();
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero">
			
			<div class="container">
				<div class="">
					<div class="row justify-content-center align-items-end">
						<nav class="breadcrumbs mb-3 justify-content-center ">
							<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
							<ol>
								<li><a href="index">Home</a></li>
								<li class="current">News Details</li>
							</ol>
						</nav>
						<div class="col-md-10 text-center">
							<h1><?=$edt['key_title']?></h1>
							<p class="mx-auto"><i class="bi bi-clock"></i><?php echo date('d M Y',strtotime($edt["key_date"]))?></p>
						</div>
					</div>
				</div>
			</div>

    </section>
		
		<!-- Section -->
    <section id="blogs" class="section page">

			<div class="container" data-aos="fade-up">
				<div class="row g-2 justify-content-center">
					<div class="col-lg-8">
						<article class="article">
							<div class="post-img">
								<img src="cmsfilemanager/news/<?php echo $edt["key_img"]?>" alt="" class="img-fluid">
							</div>
							<div class="content">
								<?=$edt['key_desc']?>
							</div>
						</article>
						<!-- End post article -->
					</div>
				</div>
			</div>

    </section>

		<?php include_once("includes/cta.php"); ?>
		

  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>