<?php
include_once('../resources/lib/init.php');
$news = CMS::tables('dd_news')->orderBy('key_id','desc')->get();
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero">
			
			<div class="container">
				<div class="">
					<div class="row justify-content-between align-items-end">
						<nav class="breadcrumbs mb-3">
							<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
							<ol>
								<li><a href="index">Home</a></li>
								<li class="current">News</li>
							</ol>
						</nav>
						<div class="col-md-6">
							<h1>Breaking updates & <br>top stories.</h1>
							<p>YourTeaching connects exceptional supply staff with UK schools and nurseries. We provide teaching talent for permanent roles, temporary jobs, and everything in between.</p>
						</div>
					</div>
				</div>
			</div>

    </section>
		
		<!-- Section -->
    <section id="blogs" class="section blogs">

			<div class="container" data-aos="fade-up">

				<div class="container" data-aos="fade-up">
					<div class="row g-2">
					     <?php
				    if(sizeof($news))
				    {
				    foreach($news as $item)
					{
					?>
					    
						<div class="col-md-3" data-aos="fade-up" data-aos-delay="100">
							<div class="box">
								<div class="image">
									<img src="cmsfilemanager/news/<?php echo $item["key_img"]?>" alt="" width="100%" height="100%" class="img-fluid">
								</div>
								<h2><?=$item['key_title']?></h2>
								<p><?=substr(strip_tags($item['key_desc']),0,240)?></p>
								<a href="news-detail?id=<?=$item['key_id']?>" class="stretched-link" aria-label="news"></a>
							</div>
						</div>
						
						<?php
					}
						}
						else
						echo '<span style="color:red;font-weight:bold">No News Found</span>';
						?>
				
					</div>
				</div>
      </div>

    </section>

		<?php include_once("includes/cta.php"); ?>
		

  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>