<?php 
include_once('../resources/lib/init.php');
include_once('../resources/lib/mailer.php');
$enqy = new CMS();
if($_POST) {


if(!$enqy->error) {
$enqy->sanitize([ "name","comments"]);

$regex = "@(https?://([-\w\.]+[-\w])+(:\d+)?(/([\w/_\.#-]*(\?\S+)?[^\.\s])?).*$)@";
$msg= preg_replace($regex, ' ', _request('comments'));
$secret = '6LfxMSYUAAAAAKpQdZVezGtrvsKebRln68WV-k4X';
$url = 'https://www.google.com/recaptcha/api/siteverify';
$data = array(
'secret' => $secret,
'response' => $_POST['g-recaptcha-response'],
'remoteip' => $_SERVER['REMOTE_ADDR']
);
$curlConfig = array(
CURLOPT_URL => $url,
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => $data
);
$ch = curl_init();
curl_setopt_array($ch, $curlConfig);
$verifyResponse = curl_exec($ch);
curl_close($ch);
$responseData = json_decode($verifyResponse);
if($responseData->success) {


$mailer->SMTPDebug  = false;
$mailer->setTo($const_website_email, "Your Healthcare Global");
$mailer->setFrom($const_website_email,"Your Healthcare Global");
$mailer->Subject  ="Your Healthcare Global - Reqister for a Job";
$mailer->template     = "../resources/email-templates/register-for-job.tpl";
$mailer->data["logo"]   = $const_logo_url;
$mailer->data["name"]   = _request('name');
$mailer->data["email"]    = _request('email');
$mailer->data["phone"]    = _request('phone');
$mailer->data["address"]    = _request('address');
$mailer->data["town"]    = _request('town');
$mailer->data["postcode"]    = _request('postcode');
$mailer->data["profession"]    = _request('profession');
$mailer->data["skills"]    = _request('skills');
$mailer->data["comments"]    = _request('message');
$mailer->Send();
$mailer->clear();
			
$mailer->template     = "../resources/email-templates/register-for-job_client.tpl";
$mailer->setTo(_request('email'), "Your Healthcare Global");
$mailer->Send();
$mailer->clear();

header('location:thank-you');
}

}

}
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
		<script language="javascript">
    function arvalid()
    {
    var response = grecaptcha.getResponse();
    if(response.length == 0)
    {
    alert('Please click recaptcha');
    return false;
    }
    return true;
    }
    </script>
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

	<!-- Hero Section -->
	<section id="hero" class="hero">
		
		<div class="container">
			<div class="">
				<div class="row justify-content-between align-items-end">
					<nav class="breadcrumbs mb-3">
						<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
						<ol>
							<li><a href="index">Home</a></li>
							<li class="current">Register</li>
						</ol>
					</nav>
					<div class="col-md-6">
						<h1>Register Now for Healthcare <br>Locum Opportunities</h1>
					</div>
				</div>
			</div>
		</div>

	</section>

  <main class="main">

    <!-- Section -->
    <section id="form" class="form section pt-5 mt-3">

      <div class="container">
				<div class="row justify-content-between mb-5">
					<div class="col-md-4">
						<div class="section-title">
							<h2 data-aos="fade-up" data-aos-delay="100">
								Explore Healthcare Job Opportunities with <span>YHG</span>
							</h2>
						</div>
						<div class="contact-details mt-5" data-aos="fade-up" data-aos-delay="200">
							<h4>Contact Us</h4>
							<p>6th Floor, 30 Churchill Place<br>
							London, E14 5RE, UK</p>
							<h4>Phone</h4>
							<p><a href="tel:02081517979">020 8151 7979</a></p>
							<h4>Email</h4>
							<p><a href="mailto:info@yourhealthcare.co.uk">info@yourhealthcare.co.uk</a></p>
							<h4>Follow Us</h4>
							<div class="social-links">
								<a href="#" class="twitter"><i class="bx bxl-twitter"></i></a>
								<a href="#" class="facebook"><i class="bx bxl-facebook"></i></a>
								<a href="#" class="instagram"><i class="bx bxl-instagram"></i></a>
								<a href="#" class="linkedin"><i class="bx bxl-linkedin"></i></a>
							</div>
						</div>
					</div>
					<div class="col-md-7" data-aos="fade-up" data-aos-delay="300">
						<p>At YHG, we specialize in providing flexible locum staffing and permanent placement solutions for healthcare institutions across the UK.</p>
						<p>To inquire about our services or explore available opportunities, please email us with your staffing needs or complete the form below.</p>
						<p>Thank you for choosing YHG—we look forward to partnering with you to meet your healthcare staffing needs!</p>

						<form class="form-box" data-aos="fade-up" data-aos-delay="200" method="post" action="">
							<div class="row g-4">
								<div class="col-md-12">
									<div class="form-floating">
										<input type="text" class="form-control" name="name" id="name" placeholder="Subject" required="">
										<label for="name">Full Name</label>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-floating">
										<input type="email" class="form-control" name="email" id="email" placeholder="name@example.com" required="">
										<label for="email">Email address</label>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-floating">
										<input type="text" class="form-control" name="phone" id="Phone" placeholder="Phone" required="">
										<label for="name">Phone</label>
									</div>
								</div>
								<div class="col-md-12">
									<div class="form-floating">
										<input type="text" class="form-control" name="address" id="address" placeholder="Address" required="">
										<label for="name">Address</label>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-floating">
										<input type="text" class="form-control" name="town" id="town" placeholder="Town">
										<label for="name">Town</label>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-floating">
										<input type="text" class="form-control" name="postcode" id="postcode" placeholder="Postcode">
										<label for="name">Postcode</label>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-floating">
										<input type="text" class="form-control" name="profession" id="profession" placeholder="Profession" required="">
										<label for="name">Profession</label>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-floating">
										<input type="text" class="form-control" name="skills" id="skills" placeholder="Skills">
										<label for="name">Skills</label>
									</div>
								</div>
								<div class="col-12">
									<div class="form-floating">
										<textarea class="form-control" placeholder="Your Enquiry/Message" id="textarea" name="message" style="height: 120px"></textarea>
										<label for="textarea">Your Enquiry/Message:</label>
									</div>
								</div>
								<div class="col-auto">
									<div class="form-floating">
										<div class="g-recaptcha" data-sitekey="6LfxMSYUAAAAABBoy2-QX7OZqqTtmu_oN5f7xCYf"></div>
									</div>
								</div>
								<div class="col-12">
									<div class="">
										<button type="submit" onclick="return arvalid()" class="btn btn-accent icon-arrow">Submit <i class="bx bx-up-arrow-alt"></i></button>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>

      </div>

    </section>

  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>
		<script src='https://www.google.com/recaptcha/api.js'></script>

</body>

</html>