<style>
.angular-image-upload
{
  width: 100%;
  float: left;
  padding: 15px;
  border-radius: 5px;
  cursor: pointer;
  border: 1px solid #ccc;
}
.ng-image-uploader .upload_list li
{
  color:green;
  font-size: 14px;
  margin-bottom: 5px;
}
.ng-image-uploader .error_list li
{
  color:red;
  font-size: 14px;
  margin-bottom: 5px;
}
.error_list
{
  clear: both;
}
.progress-bar {
  float: left;
  width: 0%;
  height: 100%;
  font-size: 12px;
  line-height: 20px;
  color: #fff;
  text-align: center;
  background-color: #337ab7;
  -webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  -webkit-transition: width 0.6s ease;
  -o-transition: width 0.6s ease;
  transition: width 0.6s ease;
}
.progress-striped .progress-bar,
.progress-bar-striped {
  background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
  background-image: -o-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
  background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
  background-size: 40px 40px;
}
.progress.active .progress-bar,
.progress-bar.active {
  -webkit-animation: progress-bar-stripes 2s linear infinite;
  -o-animation: progress-bar-stripes 2s linear infinite;
  animation: progress-bar-stripes 2s linear infinite;
}
.progress-bar-success {
  background-color: #5cb85c;
}
.progress-striped .progress-bar-success {
  background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
  background-image: -o-linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
  background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}
@-webkit-keyframes progress-bar-stripes {
  from {
    background-position: 40px 0;
  }
  to {
    background-position: 0 0;
  }
}
@keyframes progress-bar-stripes {
  from {
    background-position: 40px 0;
  }
  to {
    background-position: 0 0;
  }
}
</style>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/angularjs-toaster/2.1.0/toaster.min.css" />
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.5/angular.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/danialfarid-angular-file-upload/12.2.13/ng-file-upload.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/angularjs-toaster/2.1.0/toaster.min.js"></script>
<script>
'use strict';
var imgUploadApp = angular.module('imgUploadApp', ['ngFileUpload','toaster']);

imgUploadApp.controller('imageUploadController', ['$scope', '$rootScope', 'Upload','toaster','$http','$sce', function ($scope, $rootScope, Upload ,toaster,$http,$sce) {
    $scope.listingPage = "";
    $scope.getlisting = function(listingPageUrl)
    {
      if($scope.listingPage == "")
      {
        $scope.listingPage = listingPageUrl;
      }
      $http.get(listingPageUrl)
     .then(function(response) {
         $scope.imageListings = $sce.trustAsHtml(response.data);
     });
    }

    $scope.fileuploading = false;
    $scope.upload = function (files,imageUploadUrl) {
        var fileCount = 0;
        for (var i = 0; i < files.length; i++) {
          $scope.fileuploading = true;
          fileCount = fileCount+1;
          Upload.upload({
              url: imageUploadUrl,
              data: {Filedata: files[i]}
          }).then(function (resp) {
              fileCount = fileCount-1;
              if(resp.data.success)
              {
                toaster.pop('success', "Success", 'Uploaded Successfully');
                $scope.getlisting($scope.listingPage);
              }
              else {
                  //alert(resp.data.message);
                toaster.pop('error', "Error status", resp.data.message);
              }
              if(fileCount <= 0)
              {
                $scope.fileuploading = false;
              }
          }, function (resp) {
            fileCount = fileCount-1;
            if(fileCount <= 0)
            {
              $scope.fileuploading = false;
            }
            console.log(resp);
          }, function (evt) {
              // var progressPercentage = parseInt(100.0 * evt.loaded / evt.total);
          });
        }
    };
}]);
</script>
