<?php
include_once('../../resources/lib/init_user.php');
$appl	=	CMS::tables('job_application')->where('id',$_REQUEST['id'])->first()->get();
$job	=	CMS::tables('nurse_job')->where('job_id',$appl['job_id'])->first()->get();
?>
<!DOCTYPE html>
<html>
  <head>
    <?php 
	include_once("includes/head.php"); 
	include_once("includes/pluginCSS.php"); 
	?>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body class="hold-transition sidebar-mini">
    <div class="wrapper">

      <?php include_once("includes/header.php"); ?>
      <!-- Left side column. contains the logo and sidebar -->
      <?php include_once("includes/side-menu.php"); ?>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
		
		

              <section class="content-header">
          <h1>
           Application Details
          </h1>
          <ol class="breadcrumb">
            <li><a href="./"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="javascript:window.history.back(1)"><i class="fa fa-dashboard"></i> Job Application</a></li>			
            <li class="active">Details</li>
          </ol>
        </section>
		

        <!-- Main content -->
        <section class="invoice">
          <!-- title row -->
          <div class="row">
            <div class="col-xs-12">
              <br>  <small class="pull-right"><strong>Date: <?php echo date('d-m-Y H:i:s',strtotime($appl["appl_date"]))?></strong></small><br>
          

              
            </div><!-- /.col -->
          </div><br>
          <!-- info row -->
          <div class="row invoice-info">
            <div class="row">
			<div class="col-sm-6 col-xs-6 table-responsive p-0">
			<table class="table table-striped">
			<tr>
             <td colspan="3"><strong>Applicant Details</strong></td>
              </tr> 
              <tr>
              <td>Name</td>
              <td>:</td>
              <td><?php echo $appl["name"]?></td>
              </tr> 
              <tr>
              <td>Email</td>
              <td>:</td>
              <td><?php echo $appl["email"]?></td>
              </tr> 
              <tr>
              <td>Phone</td>
              <td>:</td>
              <td><?php echo $appl["phone"]?></td>
              </tr> 
              <tr>
              <td>Cover Letter</td>
              <td>:</td>
              <td><?php echo $appl["cover"]?></td>
              </tr> 
              <tr>
              <td>Download Document</td>
              <td>:</td>
              <td><a href="../cv/<?php echo $appl["cv"]?>" target="_blank"><strong>Download Document</strong></a>	</td>
              </tr> 

            <tbody>
            </table>
            </div>
            <div class="col-sm-6 col-xs-6 table-responsive p-0">
			<table class="table table-striped">
			<tr>
             <td colspan="3"><strong>Job Details</strong></td>
              </tr> 
                <tr>
              <td>Title</td>
              <td>:</td>
              <td><?php echo $job["jobtitle"]?></td>
              </tr>
              <tr>
              <td>Category</td>
              <td>:</td>
              <td><?php echo $job["category"]?></td>
              </tr> 
              <tr>
              <td>Type</td>
              <td>:</td>
              <td><?php echo $job["type"]?></td>
              </tr> 
              <tr>
              <td>Location</td>
              <td>:</td>
              <td><?php echo $job["location"]?></td>
              </tr> 
              <tr>
              <td>Salary</td>
              <td>:</td>
              <td><?php echo $job["salary"]?></td>
              </tr> 
              <?php if($job["contact"]==1) { ?>
              <tr>
              <td>Contact Name</td>
              <td>:</td>
              <td><?php echo $job["cname"]?></td>
              </tr> 
              <tr>
              <td>Contact Email</td>
              <td>:</td>
              <td><?php echo $job["cemail"]?></td>
              </tr> 
              <?php } ?>
              
            <tbody>
            </table>
            </div>
            </div>

            
          </div><!-- /.row -->

        </section><!-- /.content -->
		
      </div>
      <?php include_once("includes/footer.php"); ?>


    </div><!-- ./wrapper -->
	
    <?php include_once("includes/pluginScript.php"); ?>	
	
  </body>
</html>
