<?php
include_once('../../resources/lib/init_user.php');

	$upt = CMS::tables('user_password')->where('user_id',userID())->andWhere('password',md5("#"._request('old_password')));

	if(_request('submit'))
	{
		if($upt->validate(_request('old_password'),"null", "Please enter a valid old password"))
			if(!$upt->get())
				$upt->validate('',"custom", "Invalid old password.");
			
		$upt->validate(_request('new_password'),"null", "Please enter a valid new password");
		$upt->validate(_request('confirm_password'),"null", "Please confirm your new password");			
		$upt->validate(array(_request('new_password'),_request('confirm_password')),"compare", "New and confirm passwords should match");
		
		$msg='';
		if(!$upt->error)
			$upt->update([ "password"=>md5("#"._request('new_password')) ]);			
		else
		$upt->showMsg($msg);
	
		exit();			
	}

	_modalHeader("Change password",'passOutput');

	_formOpen();

	_formGroup([
		[ "password", col=>12, id=>"old_password", label=>"Old Password", placeholder=>"Please enter your old password" ],
		[ "password", col=>12, id=>"new_password", label=>"New Password", placeholder=>"Please enter your new password" ],
		[ "password", col=>12, id=>"confirm_password", label=>"Confirm New Password", placeholder=>"Please confirm your new password here" ]
	]);

	_formClose();	
	
	_modalFooter([
		[ label=>"Cancel", btn=>"default", ico=>"close", opts=>[ 'data-dismiss'=>"modal" ] ],		
		[ label=>"Submit", btn=>"primary", ico=>"paper-plane", opts=>[ onclick=>"btnSubmit();" ] ]						
	]);
	
?>
<script type="text/javascript">

	function btnSubmit() {
		
		document.getElementById('passOutput').innerHTML = '';
		ajaxLoad('<?php echo $const_website_url_account?>/change-password',
		{ 
			data:{ 
				submit:1,  
				old_password:document.getElementById('old_password').value,  
				new_password:document.getElementById('new_password').value,  
				confirm_password:document.getElementById('confirm_password').value 
			}, 
			fillHtml:'#passOutput', 
			callFtn:'onSuccess' 
		}); 	
	}

	function onSuccess(res) {

		if(res=='') {	
		
			showMsg('passOutput','Password changed successfully!','success');			
			setTimeout(function(){ hideModal(activeModal); }, 2500);
		}	
	}
</script>		