<?php
$upload_path	= urldecode($_REQUEST["path"]);
$fileName		= urldecode($_REQUEST["file"]); 
$thumb_width	= urldecode($_REQUEST["width"]); 
$thumb_height 	= urldecode($_REQUEST["height"]);

$large_image_location = $upload_path.'/original_'.$fileName;
$thumb_image_location = $upload_path.'/'.$fileName;

//You do not need to alter these functions
function resizeThumbnailImage($thumb_image_name, $image, $width, $height, $start_width, $start_height, $scale){		
	
	list($imagewidth, $imageheight, $imageType) = getimagesize($image);
	$imageType = image_type_to_mime_type($imageType);
	
	$newImageWidth = ceil($width*$scale);
	$newImageHeight = ceil($height*$scale);
	$newImage = imagecreatetruecolor($newImageWidth,$newImageHeight);
	switch($imageType) {
		
		case "image/gif":
		$source=imagecreatefromgif($image); 
		break;
		
		case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
		$source=imagecreatefromjpeg($image); 
		break;
		
		case "image/png":
		case "image/x-png":
		$source=imagecreatefrompng($image); 
		break;
  	}
	imagecopyresampled($newImage,$source,0,0,$start_width,$start_height,$newImageWidth,$newImageHeight,$width,$height);
	switch($imageType) {
		case "image/gif":
	  		imagegif($newImage,$thumb_image_name); 
			break;
      	case "image/pjpeg":
		case "image/jpeg":
		case "image/jpg":
	  		imagejpeg($newImage,$thumb_image_name,90); 
			break;
		case "image/png":
		case "image/x-png":
			imagepng($newImage,$thumb_image_name);  
			break;
    }
	chmod($thumb_image_name, 0777);
	return $thumb_image_name;
}
//You do not need to alter these functions
function getHeight($image) {
	$size = getimagesize($image);
	$height = $size[1];
	return $height;
}
//You do not need to alter these functions
function getWidth($image) {
	$size = getimagesize($image);
	$width = $size[0];
	return $width;
}

if ($_POST) {

	if($_POST["x1"]!='' && $_POST["y1"]!='' && $_POST["x2"]!='' && $_POST["y2"]!='' && $_POST["w"]!='' && $_POST["h"]!='')
	{
		//Get the new coordinates to crop the image.
		$x1 = $_POST["x1"];
		$y1 = $_POST["y1"];
		$x2 = $_POST["x2"];
		$y2 = $_POST["y2"];
		$w = $_POST["w"];
		$h = $_POST["h"];
		//Scale the image to the thumb_width set above
		$scale = $thumb_width/$w;
		$cropped = resizeThumbnailImage($thumb_image_location, $large_image_location,$w,$h,$x1,$y1,$scale);
	}
	
	_redirect(urldecode($_REQUEST['return']));
}
?>