<?php
include_once('../../resources/lib/init_user.php');
?>
<!DOCTYPE html>
<html>
  <head>
    <?php 
	include_once("includes/head.php");	
	include_once("includes/pluginCSS.php"); 
	?>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body class="hold-transition sidebar-mini">
    <div class="wrapper">

      <?php 
	  include_once("includes/header.php");
	  include_once("includes/side-menu.php"); 
	  ?>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
          Dashboard
          </h1>
          <ol class="breadcrumb">
            <li><a href="./"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">


        <div class="row">

			<?php
			if($const_acct_sidemenu)
			foreach($const_acct_sidemenu as $key=>$val)
			{

				if(sizeof($val)>3) 
				{	
					if($val[2]($val[3]))
					{
						?>
						<div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
						<a href="<?php echo $val[0]?>">
							<div class="info-box">
								<span class="info-box-icon home-icons"><i class="fa fa-<?php echo $val[1]?>"></i></span>
								<div class="info-box-content">
								<span class="info-box-number"><?php echo strtoupper($key)?></span>
							</div>
							</div>
						</a>
						</div>							
						<?php
					}
				}
				else
				{
					?>
					<div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
					<a href="<?php echo $val[0]?>">
						<div class="info-box">
							<span class="info-box-icon home-icons"><i class="fa fa-<?php echo $val[1]?>"></i></span>
							<div class="info-box-content">
							<span class="info-box-number"><?php echo strtoupper($key)?></span>
						</div>
						</div>
					</a>
					</div>					
					<?php
				}
			}
			?>
		    <?php
		    if(movieManager() && !isadmin())
		    {
		        $movie=
    		CMS::tables('contents')
    		->join('movies','t1.id=t2.content_id')
    		->join('content_images','t1.id=t3.content_id')
    		->join('images','t3.image_id=t4.id')
    		->join('page','t2.page_id=t5.id')
    		->join('contents','t5.content_id=t6.id')
    		->join('content_images','t6.id=t7.content_id')
    		->join('images','t7.image_id=t8.id')		
    		->select([ 
    			't1.id','t1.title','t1.slug',  
    			'DATE_FORMAT(releaseon,"%b %d %a, %Y") release_on', 		
    			't4.ofile','t4.month','t4.year',
    			't6.title stitle',
    			't8.ofile ofilee','t8.month monthh','t8.year yearr',
    			'
    			CASE  
    				WHEN highlight=1 THEN  1  
    				WHEN trending=1 THEN  2  
    				WHEN featured=1 THEN  3  
    				ELSE 4  			
    			END sorter'
    		])
    		->where('t5.status_id',$const_page_approved)
    		->andWhere('t5.id',$each["page_id"])
    		->andWhere('t1.id','!=',$each["id"])					
    		->orderBy('sorter')
    		->orderBy('t1.submitted_on','desc')
    		->limit(3);	 
		        $movie=	CMS::tables('contents')
        		->join('movies','t1.id=t2.content_id')	
        		->join('page','t2.page_id=t3.id')
        		->join('page_admins','t3.id=t4.page_id')
        		->join('contents','t3.content_id=t5.id')
        		->select([ 
        		't1.id','DATE_FORMAT(t1.submitted_on,"%d/%m/%Y %h:%i %p") created_on', 
        		't1.title', 'DATE_FORMAT(releaseon,"%d/%m/%Y") release_on', 'directed','t5.title as partner'
        		])
        		->where('t4.user_id',userID())
        		->orderBy('t2.releaseon','desc')
        		->limit(5);	 
		  
			
			_tabOpen($tab);
					
				//Tab - Movies
				_paneOpen();

					$movie->showMsg();
					
					_tableList(
						'Latest Movies',
						'',
						$movie->get(),
						[
							[ field=>"release_on", label=>"Release On" , opts=>[ width=>"150", 'class'=>"hidden-xs" ] ],						
							[ field=>"title", label=>"Title" ],
							[ field=>"directed", label=>"Directed By", opts=>[ 'class'=>"hidden-xs hidden-sm" ] ],
							[ field=>"created_on", label=>"Created On",  opts=>[ width=>"170", 'class'=>"hidden-xs hidden-sm" ] ]				
						],
						[
						    pagination=>false,
							search=>false,
							checkbox=>false,
						]
						
					);	
				
				_paneEnd();
				
			_tabEnd();	
			?>
			<div class="col-sm-12">
			    <a class="btn btn-more pull-right" href="<?php echo $const_website_url_account.'/movies';?>">View More > </a>
			</div>
			<?php
		    }
		    ?>
		       
        </div>
		  
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      <?php include_once("includes/footer.php"); ?>


    </div>
	
    <?php include_once("includes/pluginScript.php"); ?>	
	
  </body>
</html>