<?php
  include_once('../../resources/lib/init_user.php');
  $edt = CMS::tables('nurse_job')->where('job_id',$_REQUEST['id'])->first();
  $output = $edt->get();
  
  if($_POST)
  {
  		
  
  
  	if(!$edt->error)	
  	{		
  	$edt->update([ "contact","cname","cemail","jobtitle","profession","category","type","location","description","salary"]);
  
  			_redirect($const_website_url_account.'/job?success=Job updated successfully');	
  	}
  }
  $cat = CMS::tables('job_category')->orderBy('title','asc')->get();
  $type = CMS::tables('job_type')->orderBy('title','asc')->get();
  $loc = CMS::tables('job_location')->orderBy('title','asc')->get();
  $prof = CMS::tables('profession')->orderBy('title','asc')->get();
  ?>
<!DOCTYPE html>
<html>
  <head>
    <?php 
      include_once("includes/head.php"); 
      
      _pluginLoad([	
      	"ajsBIUploader",
      	[ "tinymce", fields=>"[ { selector:'#ban_desc1', height:500, content_css:'".$const_website_url."/css/style.css' } ]" ]
      ]);
      
      include_once("includes/pluginCSS.php"); 
      ?>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <div class="wrapper">
      <?php include_once("includes/header.php"); ?>
      <!-- Left side column. contains the logo and sidebar -->
      <?php include_once("includes/side-menu.php"); ?>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <?php
          _contentHeader("Edit Job",[
          	
          	]);
          ?>		
        <!-- Main content -->
        <section class="content">
          <div class="box">
            <div class="row">
              <div class="col-sm-10 col-sm-offset-1">
                <?php 
                  _formOpen();
                  ?>
                <div class="box-header">
                  <?php 
                    //$edt->showMsg();
                    ?>
                </div>
                <div class="box-body">
                  <div class="form-group">
                    <label class="col-sm-3 control-label">Title</label>
                    <div class="col-sm-9">
                      <input class="form-control" type="text" name="jobtitle" value="<?=$output['jobtitle']?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-3 control-label">Category </label>
                    <div class="col-sm-9">
                      <select class="form-control" name="category" required>
                        <option value="">- Select Category -</option>
                        <?php
                          if(sizeof($cat))
                          foreach($cat as $item)
                          {
                          ?>
                        <option value="<?=$item['title']?>" <?=$output['category']==$item['title']?'selected':''?>><?=$item['title']?></option>  
                        <?php
                          }
                          ?>
                      </select>
                    </div>
                  </div>
                    <div class="form-group">
                    <label class="col-sm-3 control-label">Profession </label>
                    <div class="col-sm-9">
                      <select class="form-control" name="profession" required>
                        <option value="">- Select Profession -</option>
                        <?php
                          if(sizeof($prof))
                          foreach($prof as $item)
                          {
                          ?>
                        <option value="<?=$item['title']?>" <?=$output['profession']==$item['title']?'selected':''?>><?=$item['title']?></option>  
                        <?php
                          }
                          ?>
                      </select>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-3 control-label" style="cursor: pointer;">
                        <input <?=$output['contact']==1?'checked':''?> type="checkbox" value="1" name="contact" onclick="f1()" id="contact"> Contact reference
                    </label>
                    <div class="col-sm-9">
                      <div class="row" id="con" style="display:<?=$output['contact']==1?'block':'none'?>">
                        <div class="col-sm-5">
                          <input class="form-control" type="text" name="cname" value="<?=$output['cname']?>" placeholder="Name">
                        </div>
                        <div class="col-sm-7">
                          <input class="form-control" type="email" name="cemail" value="<?=$output['cemail']?>" placeholder="Email">
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-3 control-label">Location </label>
                    <div class="col-sm-9">
                      <select class="form-control" name="location" required>
                        <option value="">- Select Location -</option>
                        <?php
                          if(sizeof($loc))
                          foreach($loc as $item)
                          {
                          ?>
                        <option value="<?=$item['title']?>" <?=$output['location']==$item['title']?'selected':''?>><?=$item['title']?></option>
                        <?php
                          }
                          ?>
                      </select>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-3 control-label">Type </label>
                    <div class="col-sm-9">
                      <select class="form-control" name="type" required>
                        <option value="">- Select Type -</option>
                        <?php
                          if(sizeof($type))
                          foreach($type as $item)
                          {
                          ?>
                        <option value="<?=$item['title']?>" <?=$output['type']==$item['title']?'selected':''?>><?=$item['title']?></option>
                        <?php
                          }
                          ?>
                      </select>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-3 control-label">Salary </label>
                    <div class="col-sm-9">
                      <input class="form-control" type="text" name="salary" required value="<?=$output['salary']?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-3 control-label">Description </label>
                    <div class="col-sm-9">
                      <textarea style="height:200px;" class="form-control" name="description"><?=$output['description']?></textarea>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-sm-12 text-right">
                      <?php
                        _formElement([
                        	[ "button", id=>"submitbtn", label=>'UPDATE', nobreak=>true, opts=>[ 'class'=>"btn-success" ] ]
                        ]);						
                        ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->
      <?php include_once("includes/footer.php"); ?>
    </div>
    <!-- ./wrapper -->
    <?php include_once("includes/pluginScript.php"); ?>	
    <script>
      $("#book_category_id").on('change',function(){
      cat_id=$(this).val();
      jQuery.post("getsubcat.php", {cat_id: cat_id}, function (r) {
                if (r != '') {
                    document.getElementById('book_subcategory_id').innerHTML=r;
                }
            });
      });
      function f1()
      {
      if(document.getElementById('contact').checked==true)
      {
          document.getElementById('con').style.display="block";
      }
      else
      {
          document.getElementById('con').style.display="none";
      }
      }
    </script>
  </body>
</html>