	var acDesk = [];
	var myMapObject;
	var mapHld;	
		
	function initAutocomplete() {

		cmptRst = { componentRestrictions: {country: mapSetting.restritedCountry } };

		if(mapSetting.autoCompleteID.length>0)
		for(var ai = 0; ai < mapSetting.autoCompleteID.length; ai++) {

			var autocomplete = new google.maps.places.Autocomplete(document.getElementById(mapSetting.autoCompleteID[ai]), cmptRst);
			google.maps.event.addListener(autocomplete, 'place_changed', function () {

				var plceDtl = this.getPlace();			
				if(mapSetting.autofillField!=false)
				assignTofields(plceDtl);			
			});
		}		

		if(mapSetting.mapID!='')
			initGoogleMap();
			
	}  
	
	function initGoogleMap()
	{				
		mapHld = document.getElementById(mapSetting.mapID);
		
		var myLatLng = new google.maps.LatLng(mapSetting.defaultPosition.latitude,mapSetting.defaultPosition.longitude);  
		var mapProp= { center:myLatLng, zoom: 10 };
		myMapObject=new google.maps.Map(mapHld,mapProp);		
		
		if(mapSetting.defaultRadiusinMile!='' && !isNaN(mapSetting.defaultRadiusinMile)) {
			
			var brOptions = {
				center: myLatLng,
				fillOpacity:.25,
				fillColor:"#65c2ff",			
				strokeColor:"#166db9",
				strokeOpacity:1,
				strokeWeight:1.1,
				map: myMapObject,
				radius: (1609.344)*mapSetting.defaultRadiusinMile
			}
			
			var brdr = new google.maps.Circle(brOptions);
			myMapObject.fitBounds(brdr.getBounds(), 0);	
		}
	}
			
	function assignTofields(results) {
		
		var address = mapGetAddress(results);
	
		for (var key in mapSetting.autofillField) {		
			var tmpVal = '';
			for(ti=0; ti<mapSetting.autofillField[key].length; ti++)
			if(address[mapSetting.autofillField[key][ti]])
			tmpVal+= ((tmpVal!='')?', ':'')+address[mapSetting.autofillField[key][ti]];
			document.getElementById(key).value = tmpVal;
		}		

	}
			
	function mapGetAddress(results) {
		
		var addrVal = [];						
		for (var y = 0; y < results.address_components.length; y++) {
			
			var type = results.address_components[y].types[0];

			if (type === "administrative_area_level_1")
			{
				addrVal["state"] = results.address_components[y].long_name;
			}
			else if ( type === "administrative_area_level_2") 
			{
				addrVal["city"] = results.address_components[y].long_name;
			} 								
			else if (type === "locality")
			{
				addrVal["locality"] = results.address_components[y].long_name;
			}
			else if (type === "sublocality")
			{
				addrVal["sublocality"] = ((addrVal["sublocality"])?addrVal["sublocality"]+', ':'')+results.address_components[y].long_name;
			}								
			else if (type === "postal_code")
			{
				addrVal["postcode"] = results.address_components[y].long_name;
			}
			else if (type === "postal_town")
			{
				addrVal["town"] = results.address_components[y].long_name;
			}				
			else if (type === "neighborhood")
			{
				addrVal["neighborhood"] = results.address_components[y].long_name;
			}				
			else if (type === "route")
			{
				addrVal["route"] = results.address_components[y].long_name;
			}
			else if (type === "establishment")
			{
				addrVal["near"] =  ((addrVal["near"])?addrVal["near"]+', ':'Near ')+results.address_components[y].long_name;
			}										
			else if (type === "street_number")
			{
				addrVal["street_number"] = results.address_components[y].long_name;
			}			
		}
		
		addrVal["latitude"] = results.geometry.location.lat();
		addrVal["longitude"] = results.geometry.location.lng();
		
		return addrVal;			
	}					
	
  