<?php 
ob_start();
include_once('../resources/lib/init.php');

if(_session('user_id')!='')
	_redirect($const_website_url_account);


//Login Process
function makeLogin($data)
{
	global $const_website_url_account;
	global $const_website_url;
	
	//if email verified or created by admin
	if($data['email_verify']=='1' || $data['admin_verify']=='1') {
		
		_setSession('user_id',$data['id']);
		_setSession('user_type_id',$data['user_type_id']);
		_setSession('tmp_user_id','');
		
		//Remember me
		if(_request('remember-me')==1)
			setcookie("REMEMBERMEID", md5($data['id'].$data['user_type_id']), time() + (86400 * 7),'./'); // 30 Days From Last Login
		else
			setcookie("REMEMBERMEID", "", time() - 1000,'./'); 			

		if(_request("p")!="")
			_redirect(base64_decode(_request("p")));
		else	
			_redirect("https://chilscott.com/2024/yhcg_new/public/account/");			
	}
	else
	{
		//if not verified, redirect to verify page
		
		_setSession('tmp_user_id',$data['id']);
		_redirect($const_website_url."/verify");			
	}
}


$lgn =	CMS::tables('users')
		->join('user_password','t1.id=t2.user_id')
		->select([ 't1.id', 'user_type_id', 'name', 'lname', 'email_verify', 'admin_verify' ])
		->where('t1.email','=',_request('email'))
		->andWhere('t2.password','=',md5('#'._request('password')))
		->first();
		echo $lgn->sql;
	
if($_POST) {
	
	$data = $lgn->get();

    if($data)
		makeLogin($data);
	else
	_redirect("login?"._allGETS(),[ error=>"Invalid username/email or password. Try again!" ]);				
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">
		
		<section id="hero" class="hero">
			<div class="container">
				<div class="">
					<div class="row justify-content-between align-items-end">
						<nav class="breadcrumbs mb-3">
							<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
							<ol>
								<li><a href="index">Home</a></li>
								<li class="current">Login</li>
							</ol>
						</nav>
						<div class="col-md-6">
							<h1>Login</h1>
							
						</div>
					</div>
				</div>
			</div>
		</section>

    <!-- Section -->
    <section id="form" class="form section pt-5 mt-3">

      <div class="container">
				<div class="row g-4 justify-content-between mb-5">
					
					<div class="col-md-7" data-aos="fade-up" data-aos-delay="300">
					

						
						<form class="form-box" data-aos="fade-up" data-aos-delay="200" method="post">
							<div class="row g-4">
								<div class="col-md-12">
									<div class="form-floating">
										<input type="email" class="form-control" placeholder="name@example.com" id="email"  name="email" required>
										<label for="name">Email</label>
									</div>
								</div>
								<div class="col-md-12">
									<div class="form-floating">
										<input type="password" class="form-control" name="password" id="password" placeholder="Password" required="">
										<label for="password">Password</label>
									</div>
								</div>
								
								<div class="col-12">
									<div class="">
										<button class="btn btn-accent icon-arrow">Login <i class="bx bx-arrow-back"></i></button>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>

      </div>

    </section>

		<?php //include_once("includes/map.php"); ?>

  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>