<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
		<link href='http://fonts.googleapis.com/css?family=Lato:400,700|Montserrat:400,700|Open+Sans' rel='stylesheet' type='text/css'>
		<title>Welcome</title>
		<style type="text/css">
			.ExternalClass {
				width: 100%;
				background-color: #ffffff;
			}

			body {
				font-size: 14px;
				line-height: 1;
				background-color: #ffffff;
				margin: 0;
				padding: 0;
				-webkit-font-smoothing: antialiased;
				font-family: 'Lato', Arial, sans-serif;
			}
			#bodyTable {
				height: 100% !important;
				margin: 0;
				padding: 0;
				width: 100% !important;
			}
			table {
				border-collapse: collapse;
				mso-table-lspace: 0pt;
				mso-table-rspace: 0pt;
			}
			td, td a {
				color: #778598;
				text-decoration: none;
			}
			td {
				font-size: 14px;
				line-height: 1;
			}
			img {
				border: none;
				outline: none;
				text-decoration: none;
				display: inline-block;
			}
			p {
				margin: 0;
				padding: 0;
			}
			a:hover, td a:hover {
				color: #778598;
				outline: none;
			}
			@media all and (max-width: 639px) {
				body[yahoo] .fitScreen {
					width: 100%;
				}
			}
			@media all  and (max-width: 599px) {
				body[yahoo] .width10T {
					width: 10px !important;
				}
				body[yahoo] .width100perT {
					width: 100% !important;
				}
				body[yahoo] .fullWidthT {
					width: 100% !important;
					display: block;
				}
				body[yahoo] .height60T{
					height:60px !important;
				}
				body[yahoo] .margin10T{
					margin-top:10px !important;
				}
				body[yahoo] .height25T {
					height: 25px !important;
				}
			}
			@media all and (max-width: 479px) {
				body[yahoo] .table_wrapper {
					max-width: 100% !important;
				}
				body[yahoo] .center {
					text-align: center;
				}
				body[yahoo] .left {
					float: left;
				}
				body[yahoo] .fullWidth {
					width: 100% !important;
					display: block;
				}
				body[yahoo] .hide {
					display: none !important;
				}
				body[yahoo] .paddingT10 {
					padding-top: 10px !important;
				}
				body[yahoo] .centerC {
					margin: 0 auto !important;
				}
				body[yahoo] .fullContentWidth {
					display: block !important;
					margin: 0 10px !important;
					width: auto !important;
				}
				body[yahoo] .margin10T {
					margin-top: 10px !important;
				}
				body[yahoo] .height25 {
					height: 25px !important;
				}
				body[yahoo] .height35 {
					height: 35px !important;
				}
				body[yahoo] .width10 {
					width: 10px !important;
				}
				body[yahoo] .font25 {
					font-size: 25px !important;
				}
			}
		</style>
	</head>
	<body yahoo="fix" style="background-color:#ededed; margin: 0; padding: 0; font-family:'Lato',Arial, sans-serif;  line-height:1;color:#969696;" id="bodyTable">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" align="center"  class="table_wrapper fitScreen" style="">

			<tr>
				<td width="100%">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" style="background-color:#ededed;">
						<tr>
							<td height="125" align="center">
								<img src="|@|logo|@|" alt="Logo" style="max-width:230;max-height:120px;" />
							</td>
						</tr>

					</table>
			 	</td>
			</tr>
			<tr>
				<td width="100%">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" style="background-color:#fff;">
						<tr>
							<td style="color:#222; line-height:24px;font-size:15px;font-family: 'Lato', sans-serif;padding:10px 25px 25px;letter-spacing:0.4px">
								<h3>
								Received a new appointment from |@|name|@|. Please refer the details below..
								</h3>
								<strong>Name:</strong>	|@|name|@|<br/>	
								<strong>Email Address:</strong>	|@|email|@|<br/>	
								<strong>Phone:</strong>	|@|phone|@|<br/>
								<strong>Address:</strong>	|@|address|@|<br/>
								<strong>Preferred Day:</strong>	|@|day|@|<br/>
								<strong>Preferred Time:</strong>	|@|time|@|<br/>
								<strong>Your Enquiry/Message:</strong>
								|@|comments|@|<br/>								
							</td>
						</tr>
						<tr>
							<td width="100%">
								<table border="0" cellpadding="0" cellspacing="0" width="100%" style="background-color:#0e6f46;">
									<tr>
										<td align="left" style="color:#fff; line-height:18px;font-size:12px;font-family: 'Lato', sans-serif;padding:25px 25px;">

											DISCLAIMER:: 
											<br/>
											If you are receiving this email in your Spam/Bulk mail folder, please mark this email as not SPAM  so that you do not miss any important communication.

										</td>
									</tr>

								</table>
						 	</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html>
